VERSION 5.00
Begin VB.Form frmUpdate 
   BorderStyle     =   3  'Fixed Dialog
   Caption         =   "Picture Description"
   ClientHeight    =   3090
   ClientLeft      =   45
   ClientTop       =   435
   ClientWidth     =   4680
   ControlBox      =   0   'False
   Icon            =   "frmUpdate.frx":0000
   LinkTopic       =   "Form1"
   MaxButton       =   0   'False
   MinButton       =   0   'False
   ScaleHeight     =   3090
   ScaleWidth      =   4680
   ShowInTaskbar   =   0   'False
   StartUpPosition =   1  'CenterOwner
   Begin VB.CommandButton cmdSpell 
      Caption         =   "&Spell Check"
      Height          =   495
      Left            =   600
      TabIndex        =   1
      Top             =   2400
      Width           =   1215
   End
   Begin VB.CommandButton cmdCancel 
      Caption         =   "&Cancel"
      Height          =   495
      Left            =   1920
      TabIndex        =   2
      Top             =   2400
      Width           =   1215
   End
   Begin VB.CommandButton cmdOK 
      Caption         =   "&OK"
      Height          =   495
      Left            =   3240
      TabIndex        =   3
      Top             =   2400
      Width           =   1215
   End
   Begin VB.TextBox txtDescription 
      Height          =   1575
      Left            =   240
      MultiLine       =   -1  'True
      ScrollBars      =   2  'Vertical
      TabIndex        =   0
      Top             =   480
      Width           =   4215
   End
End
Attribute VB_Name = "frmUpdate"
Attribute VB_GlobalNameSpace = False
Attribute VB_Creatable = False
Attribute VB_PredeclaredId = True
Attribute VB_Exposed = False
Option Explicit
Private mbOK As Boolean
Private mstrDescription As String
Private Sub cmdCancel_Click()
    OK = False
    Unload Me
End Sub

Private Sub cmdOK_Click()
    OK = True
    Description = txtDescription.Text
    Unload Me
End Sub

Public Property Get OK() As Boolean
' Needs to be Public

    OK = mbOK
    
End Property

Public Property Let OK(ByVal bTF As Boolean)
' Needs to be Public

    mbOK = bTF

End Property

Public Property Get Description() As String
' Needs to be Public
    Description = mstrDescription

End Property

Public Property Let Description(ByVal strNew As String)
' Needs to be Public

    mstrDescription = strNew

End Property

Private Sub cmdSpell_Click()

    Dim objWord As Object
    Dim objDoc  As Object
    Dim strResult As String
    Dim myErr As Long
    
    App.OleRequestPendingTimeout = 999999
    'Create a new instance of word Application
    Set objWord = CreateObject("word.Application")

    Select Case objWord.Version
        'Office 2000
        Case "9.0"
            Set objDoc = objWord.Documents.Add(, , 1, True)
        'Office XP
        Case "10.0"
            Set objDoc = objWord.Documents.Add(, , 1, True)
        'Office 97
        Case Else
            Set objDoc = objWord.Documents.Add
    End Select

    objDoc.Content = txtDescription.Text
    objDoc.CheckSpelling
    objWord.Visible = False

    myErr = objWord.ActiveDocument.SpellingErrors.Count
    'User pressed Cancel button
    '(Pressing Ignore reduces the count, pressing Cancel doesn't)
    If myErr > 0 Then
        MsgBox "Cancelled"
    End If

    strResult = Left$(objDoc.Content, Len(objDoc.Content) - 1)
    ' Correct the carriage returns
    strResult = Replace(strResult, Chr$(13), Chr$(13) & Chr$(10))
    
    If txtDescription.Text = strResult Then
        ' There were no spelling errors, so give the user a
        ' visual signal that something happened
        MsgBox "The spelling check is complete.", vbInformation + vbOKOnly
    End If
    
    'Clean up
    objDoc.Close False
    Set objDoc = Nothing
    objWord.Application.Quit True
    Set objWord = Nothing

    ' Replace the selected text with the corrected text. It's important that
    ' this be done after the "Clean Up" because otherwise there are problems
    ' with the screen not repainting
    txtDescription.Text = strResult

    Exit Sub

End Sub

Private Sub Form_Load()
    
    txtDescription.Text = Description
    
End Sub
