Attribute VB_Name = "modViewer"
Option Explicit

' frmDisplay "Splitter" code based on http://articles.techrepublic.com.com/5100-10878_11-5367667.html

'******* 01.40misc Start *******
'Public gstrLastFile As String
'******* 01.40misc End *********

Public mcolPictures As cPictures
Public gintCurrentPic As Integer
Public gintCurrentTip As Integer
'******* 01.20b Start *******
Public gcolExclude As New Collection
Public Const SEP = "||"
'******* 01.20b End *********
'******* 01.40i Start *******
Public Enum IconResources
    icoPause = 101
    icoResume
    '******* 01.50b Start *******
    icoX
    '******* 01.50b End *********
End Enum
Public Enum CursorResources
    curMagnify = 101
    curNorthEast
    curNorthWest
    curEastWest
    curNorthSouth
    cur4Way
    curCrop
End Enum
'******* 01.40i End *********
'******* 01.50b Start *******
Public Enum BitmapResources
    bmpMovie = 101
End Enum
'******* 01.50b End *********
'******* 01.70n Start *******
Public Enum JPEGResource
    jpgBackground = 101
End Enum
'******* 01.70n End *********

'******* 01.70f Start *******
Public Const ZOOM_MAX = "Fill Window"
'******* 01.70f End *********

Public Function BuildFileFromResource(filDestination As String, resID As JPEGResource, Optional resTitle As String = "CUSTOM") As String
'------------------------------------------------------------
' Purpose:  Extracts a file from the resource file and save
'                the file to the destination passed in.
'------------------------------------------------------------
'******* 01.70n Start *******

    Dim bytRes() As Byte
    
    On Error GoTo ErrorRoutine
    
    bytRes = LoadResData(resID, resTitle)
    Open filDestination For Binary Access Write As #1
    Put #1, , bytRes
    Close #1
    BuildFileFromResource = filDestination

    Exit Function

ErrorRoutine:
    BuildFileFromResource = ""
    MsgBox Err.Number & " - " & Err.Description & " in BuildFileFromResource"
'******* 01.70n End *********
    
End Function

    '******* 01.40l Start *******
'Public Function FileFindFirst(ByVal sInitialDirectory As String, ByVal sFilePattern As String) As String

'Purpose     :  Performs a recursive search starting from the specified directory
'               to find the next matching file (uses the file scripting object)
'Inputs      :  sInitialDirectory                   The directory to begin the seach from
'               sFilePattern                        The file pattern to seach for eg. "*.xls"
'Outputs     :  Returns the full path and name of the next matching file
'Notes       :  Can be called recursively to find all instances of the specified file pattern
'               Requires a Reference to SCRRUN.DLL ("Microsoft Scripting Runtime")

'    Static FSO As Scripting.FileSystemObject
'    Static ssLastPattern As String
'
'    Dim sThisPath As String, sResString As String, sTestFile As String
'
'    If (FSO Is Nothing) = True Then
'        Set FSO = New Scripting.FileSystemObject
'    End If
'
'    If Right$(sInitialDirectory, 1) <> "\" Then
'        sInitialDirectory = sInitialDirectory & "\"
'    End If
'
'    'Seach current directory
'    sThisPath = sInitialDirectory
'    sTestFile = Dir$(sThisPath & sFilePattern)
'    Do
'        If FileExists(sThisPath & sTestFile) Then
'            If InStr(1, gstrLastFile, "|" & sThisPath & sTestFile) = 0 Then
'                'Found next matching file
'                sResString = sThisPath & sTestFile
'                Exit Do
'            End If
'        Else
'            'No more matching files in this directory
'            Exit Do
'        End If
'        'Get next matching file
'        sTestFile = Dir$
'    Loop
'
'    If Len(sResString) Then
'        'Store search parameters
'        If sFilePattern = ssLastPattern Then
'            'Routine has been called with same parameters, store all previously matching files
'            gstrLastFile = gstrLastFile & "|" & sResString
'        Else
'            'Store matching file
'            gstrLastFile = "|" & sResString
'        End If
'        ssLastPattern = sFilePattern
'        'Return result
'        FileFindFirst = sResString
'    End If
'End Function
    '******* 01.40l End *********

'******* 01.40l Start *******
'Private Function FileExists(sFilePathName As String) As Boolean
''Purpose     :  Checks if a file exists
''Inputs      :  sFilePathName                   The path and file name e.g. "C:\Autoexec.bat"
''Outputs     :  Returns True if the file exists
'
'    If Len(sFilePathName) > "" Then
'        If (GetAttr(sFilePathName) And vbDirectory) < 1 Then
'            'File Exists
'            FileExists = True
'        End If
'    End If
'
'End Function
'******* 01.40l End *********
Public Function GetCommentCollection() As Collection
    
    '******* 01.20b Start *******
    Dim strComments() As String
    Dim strTemp As String
    Dim lngIndex As Long
    
    Set GetCommentCollection = New Collection
    strTemp = GetSetting(App.EXEName, "Options", "Comments", "")
    If InStr(strTemp, SEP) Then
        strComments = Split(strTemp, SEP)
        For lngIndex = 0 To UBound(strComments)
            GetCommentCollection.Add strComments(lngIndex), strComments(lngIndex)
        Next
    Else
        If strTemp <> "" Then
            GetCommentCollection.Add strTemp, strTemp
        End If
    End If
    '******* 01.20b End *********

End Function
